Qt 5.9 | Qt Help | C++ Classes | QHelpEngine

Qt 5.9.9 Reference Documentation

# QHelpEngine Class

The QHelpEngine class provides access to contents and indices of the help engine. More...

Header: | #include <QHelpEngine>
qmake: | QT += help
Since: | Qt 4.4
Inherits: | QHelpEngineCore

- List of all members, including inherited members

## Public Functions

| QHelpEngine(const QString &collectionFile, QObject *parent = Q_NULLPTR)
| ~QHelpEngine()
QHelpContentModel * | contentModel() const
QHelpContentWidget * | contentWidget()
QHelpIndexModel * | indexModel() const
QHelpIndexWidget * | indexWidget()
QHelpSearchEngine * | searchEngine()

- 27 public functions inherited from QHelpEngineCore

### Additional Inherited Members

- 3 properties inherited from QHelpEngineCore
- 5 signals inherited from QHelpEngineCore
- 2 static public members inherited from QHelpEngineCore

## Detailed Description

The QHelpEngine class provides access to contents and indices of the help engine.

## Member Function Documentation

### QHelpEngine::QHelpEngine(const QString &collectionFile, QObject *parent = Q_NULLPTR)

Constructs a new help engine with the given parent. The help engine uses the information stored in the collectionFile for providing help. If the collection file does not already exist, it will be created.

### QHelpEngine::~QHelpEngine()

Destroys the help engine object.

### QHelpContentModel *QHelpEngine::contentModel() const

Returns the content model.

### QHelpContentWidget *QHelpEngine::contentWidget()

Returns the content widget.

### QHelpIndexModel *QHelpEngine::indexModel() const

Returns the index model.

### QHelpIndexWidget *QHelpEngine::indexWidget()

Returns the index widget.

### QHelpSearchEngine *QHelpEngine::searchEngine()

Returns the default search engine.